/*
Copyright (C) Christopher Fogelberg, Mengjie Zhang 2005

This file is part of VUWLGP.

VUWLGP is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VUWLGP is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VUWLGP; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
  
#ifndef INSTRUCTIONOPERATIONCONDITIONAL_H
#define INSTRUCTIONOPERATIONCONDITIONAL_H

namespace VUWLGP {
  template <class T> class IInstructionOperation;

  // An instance of a sub class of this class represents a single cnoditional register machine 
  // operation, e.g. if<, if>
  template <class T> class IInstructionOperationConditional: public IInstructionOperation<T> {
  public:
    virtual ~IInstructionOperationConditional() { }
  };
}

#endif
